commit 4035c5bb55ea3ae9e249a7aebaf08039346a3e16
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed May 28 02:22:29 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index ed9a6b1f3e6..4044138c536 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250527
+20250528
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 14599c44fb8..56acd079690 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,12 @@
+2025-05-27  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2025-05-15  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/120161
+	* pt.cc (unify) <case RECORD_TYPE>: When comparing specializations
+	of a non-primary template, still perform a type comparison.
+
 2025-05-23  Release Manager
 
 	* GCC 14.3.0 released.
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 66360e6b9e9..7e4bb673cfb 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-05-27  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2025-05-15  Patrick Palka  <ppalka@redhat.com>
+
+	PR c++/120161
+	* g++.dg/template/unify13.C: New test.
+
 2025-05-26  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/libgcc/config/avr/libf7/ChangeLog b/libgcc/config/avr/libf7/ChangeLog
index e8474b76d1e..c7dc1d93868 100644
--- a/libgcc/config/avr/libf7/ChangeLog
+++ b/libgcc/config/avr/libf7/ChangeLog
@@ -1,3 +1,11 @@
+2025-05-27  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-05-27  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/120441
+	* libf7.c (f7_exp): Limit aa->expo to 10 (not to 9).
+
 2025-05-23  Release Manager
 
 	* GCC 14.3.0 released.

